%{?nodejs_find_provides_and_requires}

%global packagename source-map-resolve
%global enable_tests 1

Name:		nodejs-source-map-resolve
Version:	0.4.0
Release:	1%{?dist}
Summary:	Resolve the source map and/or sources for a generated file

License:	MIT
URL:		https://github.com/lydell/source-map-resolve.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(atob)
BuildRequires:	npm(simple-asyncify)
BuildRequires:	npm(urix)
BuildRequires:	npm(source-map-url)
%endif

Requires:	nodejs

%description
Resolve the source map and/or sources for a generated file.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test/source-map-resolve.js && node test/windows.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 0.4.0-1
- Initial packaging
